ded

Dramatic EDitor
Index Commits Files Refs README LICENSE
commit ef77dd39a7eac233619971f9dcb99235b58308b5
parent 305baf795646feaaf42059db8ac60b73d79ed485
Author: Alexey Kutepov <reximkut@gmail.com>
Date:   Thu, 16 Feb 2023 15:20:57 +0700

Merge pull request #48 from BillKek/20230112

sh script to compile editor (with F3 capability) in windows executable
Diffstat:
Abuild_msys2_mingw64.sh | 16++++++++++++++++
1 file changed, 16 insertions(+), 0 deletions(-)
diff --git a/build_msys2_mingw64.sh b/build_msys2_mingw64.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -xe
+
+PKGS="--static sdl2 glew freetype2"
+CFLAGS="-Wall -Wextra -pedantic -ggdb -DGLEW_STATIC `pkg-config --cflags $PKGS` -Isrc -Dassert(expression)=((void)0) "
+LIBS="-lm -lopengl32 `pkg-config --libs $PKGS`"
+SRC="src/main.c src/la.c src/editor.c src/file_browser.c src/free_glyph.c src/simple_renderer.c src/common.c"
+OBJ=$(echo "$SRC" | sed "s/\.c/\.o/g")
+OBJ=$(echo "$OBJ" | sed "s/src\// /g")
+
+# wget "https://raw.githubusercontent.com/tsoding/minirent/master/minirent.h" -P /src
+gcc -std=c11 $CFLAGS -c $SRC
+# some libs linked with c++ stuff
+g++ -o life.exe $OBJ $LIBS $LIBS -static
+